(function () {
    'use strict';

    angular
        .module('editorRotas')
        .config(['$routeProvider', '$locationProvider', '__env', function config($routeProvider, $locationProvider, __env) {
            $routeProvider
                .when('/EditorRotas', {
                    templateUrl: __env.appPath + 'scripts/Index/index.html',
                    controller: 'indexController as vm',
                    resolve: {
                        configuracoesGerais: (configuracoesService) =>
                            configuracoesService.CarregarConfiguracoes()
                    }
                })
                .when('/EditorRotas/Etapa1', {
                    templateUrl: __env.appPath + 'scripts/Etapa01/etapa1.html',
                    controller: 'etapa1Controller as vm',
                    resolve: {
                        configuracoesGerais: (configuracoesService) =>
                            configuracoesService.CarregarConfiguracoes()
                    }
                })
                .when('/EditorRotas/Etapa2', {
                    templateUrl: __env.appPath + 'scripts/Etapa02/etapa2.html',
                    controller: 'etapa2Controller as vm',
                    resolve: {
                        configuracoesGerais: (configuracoesService) =>
                            configuracoesService.CarregarConfiguracoes()
                    }
                })
                .when('/EditorRotas/Etapa3', {
                    templateUrl: __env.appPath + 'scripts/Etapa03/etapa3.html',
                    controller: 'etapa3Controller as vm',
                    resolve: {
                        configuracoesGerais: (configuracoesService) =>
                            configuracoesService.CarregarConfiguracoes()
                    }
                })
                .otherwise({
                    redirectTo: '/EditorRotas'
                });

            $locationProvider.html5Mode({ enabled: true });

        }]);
})();
